'use strict';

var index = require('./index-p7cvUYAE.js');
var styledHost = require('./styled-host-Ch0-dxF-.js');
require('./event-types-YOY5TKUN.js');

const JustifiSaveNewPaymentMethod = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.checkboxChanged = index.createEvent(this, "checkboxChanged", 7);
        this.label = 'Save New Payment Method';
    }
    render() {
        return (index.h(styledHost.StyledHost, { key: '58ca6f98ace8aba5658fa38215b0c0756907ce9f' }, index.h("save-new-payment-method", { key: '6bfd3950c0bdf26bca6866ebf1b155ac39466516', label: this.label, hidden: this.hidden, onCheckboxChanged: (e) => this.checkboxChanged.emit(e.detail) })));
    }
};

exports.justifi_save_new_payment_method = JustifiSaveNewPaymentMethod;
